# ISAllGatherIndices

Given a a set of integers on each processor, generates a large set (same on each processor) by concatenating together each processors integers

### Synopsis

    #include "petscsys.h"
    #include "petscis.h"
    PetscErrorCode  ISAllGatherIndices(MPI_Comm comm,PetscInt n,const PetscInt lindices[],PetscInt *outN,PetscInt *outindices[])

Collective on MPI_Comm

### Input Parameter

| comm | - communicator to share the indices
| n | - local size of set
| lindices | - local indices

### Output Parameter

| outN | - total number of indices
| outindices | - all of the integers

### Notes

ISAllGatherIndices() is clearly not scalable for large index sets.

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlock(), ISAllGather()

Level:intermediate
Location:src/vec/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages